/**
 * GeneratorSimImpl.java
 *
 * Based on GenericSensorSimImpl.java
 * Copyright 2003 to 2005 James Caska, muvium.com . All Rights Reserved
 * 
 * Authors: David de Bos, Sanne Korzec, Timothy Lamballais Tessensohn
 * Last Modification: 2005-06-29 
 */

package ws.impls;

import ws.interfaces.IGenerator;
import ws.proxyImpls.IGeneratorProxy;

public class GeneratorSimImpl  implements IGenerator {

    IGeneratorProxy myGeneratorProxy;
    
    public GeneratorSimImpl( 	String 	generatorProxy, 
            					String 	generatorPort,
            					String  generatorIp ){           					
        
        myGeneratorProxy 	= new IGeneratorProxy( generatorProxy + ":" + generatorPort + "/http://" + generatorIp );
    }
    
    public String getSensorValue(String name){
       return myGeneratorProxy.getSensorValue(name);
    }
	public void stop(String name){
	   myGeneratorProxy.stop(name);
	}
}
