/**
 * IGeneratorProxy.java
 *
 * Based on IGenericSensorProxy.java
 * Copyright 2003 to 2005 James Caska, muvium.com . All Rights Reserved
 * 
 * Authors: David de Bos, Sanne Korzec, Timothy Lamballais Tessensohn
 * Last Modification: 2005-06-29 
 */

package ws.proxyImpls;

import ws.interfaces.IGenerator;

import com.muvium.web.services.protocols.HttpGetClientProtocol;

public class IGeneratorProxy extends HttpGetClientProtocol implements IGenerator
{
	String myIPAddress;

	public IGeneratorProxy(String ipAddress){
		myIPAddress = ipAddress;
	}
    public String getSensorValue( String name){
        return invokeString(myIPAddress, "//getSensorValue" , new Object[] { name });
    }
	public void stop( String name ){
		invokeVoid(myIPAddress, "//stop", new Object[] { name });
	}
}
