package Parsers.BIFv01;

/**
 * Describes the input token stream.
 */

public class Token {

  /**
   * An integer that describes the kind of token this is.  This numbering
   * system is determined by Jack_the_Parser_Generator.
   */
  public int kind;

  /**
   * Describes the start and end positions of the token.
   */
  public int beginLine, beginColumn, endLine, endColumn;

  /**
   * The string image of the token.
   */
  public String image;

  /*
   * For bookkeeping purposes of the parser engine.
   */
  public Token next;

}
