/*
 * InterchangeFormatProbabilityEntry.java
 * Copyright 1996, 1997, Fabio Cozman
 * Date: March 1 1997
 * <fgcozman@cs.cmu.edu><http://www.cs.cmu.edu/~fgcozman/home.html>
 * JavaBayes information and source code:
 * <http://www.cs.cmu.edu/~fgcozman/Research/JavaBayes/Home/>
 *
 * The BayesianNetworks package is free software; you can
 * redistribute it and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation, provided
 * that this notice and the name of the author appear in all copies.
 * If you're using the software, please notify fgcozman@cs.cmu.edu so
 * that you can receive updates and patches.
 * The BayesianNetworks package is distributed "as is", in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * You should have received a copy of the source code for the package;
 * if not, look for the JavaBayes distribution, which is freely available.
 * You should have received a copy of the GNU General Public License
 * along with the BayesianNetworks package. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package InterchangeFormat;

/***************************************************************/
/* Auxiliar class that stores the contents of a probability    */
/* entry (the variable values and the numeric entries          */
/***************************************************************/

public class InterchangeFormatProbabilityEntry {
  String values[];
  double entries[];

  public String[] get_values() { return(values); }
  public double[] get_entries() { return(entries); }

  /***************************************************************/
  /* Simple constructor for an entry object                      */
  /***************************************************************/
  public InterchangeFormatProbabilityEntry(String v[], double e[]) {
  values = v;
  entries = e;
  }
}

