package org.uva.gui;

/**
 * <p>Title: </p>
 *
 * <p>Description: </p>
 *
 * <p>Copyright: Copyright (c) 2006</p>
 *
 * <p>Company: </p>
 *
 * @author not attributable
 * @version 1.0
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import javax.swing.event.*;
import org.uva.object.*;

public class GridGui extends JFrame
{
    private GridPanel grid;
    private Grid matrix;

    public GridGui()
    {
        super("ArtDialog");
        Container con = this.getContentPane();
        con.setLayout(new BorderLayout());
        con.add(grid = new GridPanel(), BorderLayout.CENTER);

        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setLocation(350,0);
        this.pack();
        this.setBackground( Color.WHITE );
        this.setVisible(true);
    }

    public void setGrid(Grid matrix)
    {
        this.matrix = matrix;
        grid.setGrid(matrix);
        this.repaint();
    }

    public void repaint()
    {
        super.repaint();
        grid.repaint();
    }
}

class GridPanel extends JPanel
{
    private Grid grid;

    public GridPanel()
    {
        this.setPreferredSize(new Dimension(750, 750));

/*        this.addMouseListener(new MouseAdapter()
        {
            public void mousePressed(MouseEvent e)
            {
                addAgent(e.getPoint());
            }
        });*/
    }

/*    private void addAgent(Point p)
    {
        Dimension size = this.getSize();
        int w = size.width / grid.getGrid().length;
        int h = size.height / grid.getGrid()[0].length;

        int x = p.x/w;
        int y = p.y/h;

        Color c = JColorChooser.showDialog(this, "Color of agent", Color.white);

        grid.addAgent(x, y, c);
        this.repaint();
    }*/

    public void setGrid(Grid grid)
    {
        this.grid = grid;
        this.repaint();
    }

    public void paintComponent(Graphics g)
    {
//        super.paintComponent(g);
        if(grid!=null)
        {
            Dimension size = this.getSize();
            double w = size.width * 1.0  / grid.getGrid().length;
            double h = size.height * 1.0 / grid.getGrid()[0].length;

//            Graphics2D g2 = (Graphics2D) g;

            for (int x = 0; x < grid.getGrid().length; x++)
                for (int y = 0; y < grid.getGrid()[x].length; y++)
                {
                    GridElement e = grid.getGrid()[x][y];
//                    if(e.getColor()!=Color.white)
                    {
                        g.setColor(e.getColor());
                        g.fillRect((int)(x * w-1), (int)(y * h-1), (int)w+1, (int)h+1);
                    }
                }
/*            g.setColor(Color.LIGHT_GRAY);
            for (int x = 0; x < grid.getGrid().length; x++)
                g.drawLine((int)(x*w), 0, (int)(x*w), size.height);
            for (int y = 0; y < grid.getGrid()[0].length; y++)
                g.drawLine(0, (int)(y*h), size.width, (int)(y*h));
*/
        }
    }
}
