package org.uva.object;

/**
 * Represents the current sensor values of a group of agents.
 * Thus if we have two groups of agents, then two AgentProperties
 * objects are created
 */
import java.awt.*;

public class AgentProperties
{
    // the current values of the parameters that determine the behaviour of a group
    public int persistence, sociability, property, agentCount, trailLength;
    // Agents of the same group have this colour
    public Color color;

    public boolean predatorPrey = false;
    
    public AgentProperties(Color c)
    {
        this.color = c;
    }

    public String toString()
    {
        return agentCount+" "+trailLength;
    }
}
