/*
 * @(#)GenericSensorSimImpl.java Created on Mar 9, 2005
 *
 * Copyright 2003 to 2005 James Caska, muvium.com . All Rights Reserved
 */

package ws.impls;

import ws.interfaces.ISimulator;
import ws.proxyImpls.ISimulatorProxy;
/**
 * The GenericSensorSimImpl implements the IGenericSensor but when invoked it
 * looks up it's value from the simulator via a WebService call
 * 
 * The SensorId
 * 
 * <p>
 * <b>NOTES:</b><br>
 * <ul>
 * <li>Version Mar 9, 2005 ( Created ) </li>
 * </ul>
 * 
 * @author James Caska
 * @see 
 */
public class SimulatorSimImpl  implements ISimulator {

    ISimulatorProxy mySimulatorProxy;
    
    public SimulatorSimImpl( 	String 	simulatorProxy, 
            					String 	simulatorPort,
            					String  simulatorIp ){           					
        
        mySimulatorProxy 	= new ISimulatorProxy( simulatorProxy + ":" + simulatorPort + "/http://" + simulatorIp );
    }
    
    public int resumeSimulator(int param){
        return mySimulatorProxy.resumeSimulator(param);
     }
    
    public int getSensorCount(int param){
       return mySimulatorProxy.getSensorCount(param);
    }    
    public String getSensorName(int param){
    	return mySimulatorProxy.getSensorName(param);
    }  
    public String getSensorGatewayIp(int param){
    	return mySimulatorProxy.getSensorGatewayIp(param);
    }
    public String getSensorGatewayPort(int param){
    	return mySimulatorProxy.getSensorGatewayPort(param);
    }
    public String getSensorDeviceIp(int param){
    	return mySimulatorProxy.getSensorDeviceIp(param);
    }
    public String getSensorType(int param){
    	return mySimulatorProxy.getSensorType(param);
    }
    public String getSensorServiceType(int param){
    	return mySimulatorProxy.getSensorServiceType(param);
    }
    public String 	getName( String name ){
    	return "";
    }
    
    public String getStringIntParam( String name, int param ){
        return name + " Sensor Id = " + String.valueOf( 0 )+ " param = " + String.valueOf( param );
    }
    
}
