package Parsers.BIFv01;

public interface BIFv01Constants {

  static public final int NETWORK = 8;
  static public final int VARIABLE = 9;
  static public final int PROBABILITY = 10;
  static public final int PROPERTY = 11;
  static public final int VARIABLETYPE = 12;
  static public final int DISCRETE = 13;
  static public final int DEFAULTVALUE = 14;
  static public final int TABLEVALUES = 15;
  static public final int PROPERTYSTRING = 16;
  static public final int WORD = 17;
  static public final int LETTER = 18;
  static public final int DIGIT = 19;
  static public final int NUMBER = 20;
  static public final int EXPONENT = 21;

  static public final String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\t\"",
    "\"\\n\"",
    "\"\\r\"",
    "<token of kind 5>",
    "<token of kind 6>",
    "\",\"",
    "\"network\"",
    "\"variable\"",
    "\"probability\"",
    "\"property\"",
    "\"type\"",
    "\"discrete\"",
    "\"default\"",
    "\"table\"",
    "<PROPERTYSTRING>",
    "<WORD>",
    "<LETTER>",
    "<DIGIT>",
    "<NUMBER>",
    "<EXPONENT>",
    "\"{\"",
    "\"}\"",
    "\"[\"",
    "\"]\"",
    "\";\"",
    "\"(\"",
    "\")\"",
    "\"|\"",
  };

}
