package Parsers.BIFv01;

public class BIFv01TokenManager
{


  protected static final String add_escapes(String str) {
    String retval = "";
    char ch;
    for (int i = 0; i < str.length(); i++) {
      ch = str.charAt(i);
      if (ch == '\b') {
        retval += "\\b";
      } else if (ch == '\t') {
        retval += "\\t";
      } else if (ch == '\n') {
        retval += "\\n";
      } else if (ch == '\f') {
        retval += "\\f";
      } else if (ch == '\r') {
        retval += "\\r";
      } else if (ch == '\"') {
        retval += "\\\"";
      } else if (ch == '\'') {
        retval += "\\\'";
      } else if (ch == '\\') {
        retval += "\\\\";
      } else {
        retval += ch;
      }
    }
    return retval;
  }

private static final String strLiteralImages[] = new String[30];
static {
{ char temp[] = { 
32, };
strLiteralImages[1] = new String(temp); }
{ char temp[] = { 
9, };
strLiteralImages[2] = new String(temp); }
{ char temp[] = { 
10, };
strLiteralImages[3] = new String(temp); }
{ char temp[] = { 
13, };
strLiteralImages[4] = new String(temp); }
{ char temp[] = { 
44, };
strLiteralImages[7] = new String(temp); }
{ char temp[] = { 
110, 101, 116, 119, 111, 114, 107, };
strLiteralImages[8] = new String(temp); }
{ char temp[] = { 
118, 97, 114, 105, 97, 98, 108, 101, };
strLiteralImages[9] = new String(temp); }
{ char temp[] = { 
112, 114, 111, 98, 97, 98, 105, 108, 105, 116, 121, };
strLiteralImages[10] = new String(temp); }
{ char temp[] = { 
112, 114, 111, 112, 101, 114, 116, 121, };
strLiteralImages[11] = new String(temp); }
{ char temp[] = { 
116, 121, 112, 101, };
strLiteralImages[12] = new String(temp); }
{ char temp[] = { 
100, 105, 115, 99, 114, 101, 116, 101, };
strLiteralImages[13] = new String(temp); }
{ char temp[] = { 
100, 101, 102, 97, 117, 108, 116, };
strLiteralImages[14] = new String(temp); }
{ char temp[] = { 
116, 97, 98, 108, 101, };
strLiteralImages[15] = new String(temp); }
{ char temp[] = { 
123, };
strLiteralImages[22] = new String(temp); }
{ char temp[] = { 
125, };
strLiteralImages[23] = new String(temp); }
{ char temp[] = { 
91, };
strLiteralImages[24] = new String(temp); }
{ char temp[] = { 
93, };
strLiteralImages[25] = new String(temp); }
{ char temp[] = { 
59, };
strLiteralImages[26] = new String(temp); }
{ char temp[] = { 
40, };
strLiteralImages[27] = new String(temp); }
{ char temp[] = { 
41, };
strLiteralImages[28] = new String(temp); }
{ char temp[] = { 
124, };
strLiteralImages[29] = new String(temp); }
}
private static final char[] rangeMoves0 = {128, 255, };
private static final int[] nextStates0 = 
{ 1, 2, };
private static final int[] nextStates1 = 
{ 17, 18, };
private static final int[] nextStates2 = 
{ 15, 16, };
private static final int[] nextStates3 = 
{ 24, 25, };
private static final int[] nextStates4 = 
{ 22, 23, };
private static final int[] nextStates5 = 
{ 20, 21, };
private static final int[] nextStates6 = 
{ 28, 29, };
private static final int[] nextStates7 = 
{ 26, 27, };
private static final int[] nextStates8 = 
{ 20, 21, 26, 27, };
private static final int[] nextStates9 = 
{ 32, 33, 34, };
private static final int[] nextStates10 = 
{ 39, 37, };
private static final int[] nextStates11 = 
{ 38, 40, };
private static final int[] nextStates12 = 
{ 36, 37, };
private static final int[] nextStates13 = 
{ 31, 35, };
private final boolean CharInCharList(char[] charList)
{
   for (int i = 0; i < charList.length; i++)
      if (curChar == charList[i])
         return true;
      else if (curChar < charList[i])
         return false;

   return false;
}
private final boolean CharInRangeList(char[] rangeList)
{
   for (int i = 0; i < rangeList.length; i += 2)
      if (curChar >= rangeList[i] && curChar <= rangeList[i + 1])
         return true;
      else if (curChar < rangeList[i])
         return false;

   return false;
}
private final void MoveNfa(int[] oldStates, int[] newStates)
{
int i = newStateCnt, j, k;
newStateCnt = 0;
round++;
MainLoop :
for (;;)
{
if (curChar < 64)
{
long l = 1L << curChar;
do
{
switch(oldStates[--i])
{
case (31) :
if ((0x800000000000L & l) != 0L)
{
nextStates = nextStates9;
break;
}
else continue;
case (32) :
if ((0xffffffffffffdbffL & l) != 0L)
{
nextStates = nextStates9;
break;
}
else continue;
case (33) :
if ((0x400L & l) != 0L)
{
if (curKind > 5)
   curKind = 5;
continue;
}
else continue;
case (34) :
if ((0x2000L & l) != 0L)
{
if (rounds[33] != round)
{
   rounds[33] = round;
   newStates[newStateCnt++] = 33;
}
continue;
}
else continue;
case (35) :
if ((0x40000000000L & l) != 0L)
{
nextStates = nextStates12;
break;
}
else continue;
case (36) :
if ((0xfffffbffffffffffL & l) != 0L)
{
nextStates = nextStates12;
break;
}
else continue;
case (37) :
if ((0x40000000000L & l) != 0L)
{
nextStates = nextStates11;
break;
}
else continue;
case (38) :
if ((0xffff7fffffffffffL & l) != 0L)
{
nextStates = nextStates10;
break;
}
else continue;
case (39) :
if ((0xfffffbffffffffffL & l) != 0L)
{
nextStates = nextStates10;
break;
}
else continue;
case (40) :
if ((0x800000000000L & l) != 0L)
{
if (curKind > 6)
   curKind = 6;
continue;
}
else continue;
case (1) :
if ((0xf7ffffffffffffffL & l) != 0L)
{
nextStates = nextStates0;
break;
}
else continue;
case (2) :
if ((0x800000000000000L & l) != 0L)
{
if (curKind > 16)
   curKind = 16;
continue;
}
else continue;
case (10) :
if ((0x200000000000L & l) != 0L)
{
if (curKind > 17)
   curKind = 17;
if (rounds[11] != round)
{
   rounds[11] = round;
   newStates[newStateCnt++] = 11;
}
continue;
}
else continue;
case (11) :
if ((0x3ff200000000000L & l) != 0L)
{
if (curKind > 17)
   curKind = 17;
if (rounds[11] != round)
{
   rounds[11] = round;
   newStates[newStateCnt++] = 11;
}
continue;
}
else continue;
case (12) :
if ((0x3fe000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
if (rounds[13] != round)
{
   rounds[13] = round;
   newStates[newStateCnt++] = 13;
}
continue;
}
else continue;
case (13) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
if (rounds[13] != round)
{
   rounds[13] = round;
   newStates[newStateCnt++] = 13;
}
continue;
}
else continue;
case (20) :
if ((0x3ff000000000000L & l) != 0L)
{
nextStates = nextStates5;
break;
}
else continue;
case (21) :
if ((0x400000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
nextStates = nextStates4;
break;
}
else continue;
case (22) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
nextStates = nextStates4;
break;
}
else continue;
case (24) :
if ((0x280000000000L & l) != 0L)
{
if (rounds[25] != round)
{
   rounds[25] = round;
   newStates[newStateCnt++] = 25;
}
continue;
}
else continue;
case (25) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
if (rounds[25] != round)
{
   rounds[25] = round;
   newStates[newStateCnt++] = 25;
}
continue;
}
else continue;
case (14) :
if ((0x400000000000L & l) != 0L)
{
if (rounds[15] != round)
{
   rounds[15] = round;
   newStates[newStateCnt++] = 15;
}
continue;
}
else continue;
case (15) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
nextStates = nextStates2;
break;
}
else continue;
case (17) :
if ((0x280000000000L & l) != 0L)
{
if (rounds[18] != round)
{
   rounds[18] = round;
   newStates[newStateCnt++] = 18;
}
continue;
}
else continue;
case (18) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
if (rounds[18] != round)
{
   rounds[18] = round;
   newStates[newStateCnt++] = 18;
}
continue;
}
else continue;
case (26) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
nextStates = nextStates7;
break;
}
else continue;
case (28) :
if ((0x280000000000L & l) != 0L)
{
if (rounds[29] != round)
{
   rounds[29] = round;
   newStates[newStateCnt++] = 29;
}
continue;
}
else continue;
case (29) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
if (rounds[29] != round)
{
   rounds[29] = round;
   newStates[newStateCnt++] = 29;
}
continue;
}
else continue;
case (19) :
if ((0x3ff000000000000L & l) != 0L)
{
if (curKind > 20)
   curKind = 20;
nextStates = nextStates8;
break;
}
else continue;
case (30) :
if ((0x800000000000L & l) != 0L)
{
nextStates = nextStates13;
break;
}
else continue;
default : continue;
}
j = nextStates.length;
do
{
   if (rounds[k = nextStates[--j]] != round)
   {
      rounds[k] = round;
      newStates[newStateCnt++] = k;
   }
} while (j != 0);
} while(i != 0);
}
else if (curChar < 128)
{
long l = 1L << (curChar & 077);
do
{
switch(oldStates[--i])
{
case (32) :
if ((0xffffffffffffffffL & l) != 0L)
{
nextStates = nextStates9;
break;
}
else continue;
case (36) :
if ((0xffffffffffffffffL & l) != 0L)
{
nextStates = nextStates12;
break;
}
else continue;
case (38) :
if ((0xffffffffffffffffL & l) != 0L)
{
nextStates = nextStates10;
break;
}
else continue;
case (39) :
if ((0xffffffffffffffffL & l) != 0L)
{
nextStates = nextStates10;
break;
}
else continue;
case (9) :
if ((0x1000000000000L & l) != 0L)
{
if (rounds[8] != round)
{
   rounds[8] = round;
   newStates[newStateCnt++] = 8;
}
continue;
}
else continue;
case (8) :
if ((0x4000000000000L & l) != 0L)
{
if (rounds[7] != round)
{
   rounds[7] = round;
   newStates[newStateCnt++] = 7;
}
continue;
}
else continue;
case (7) :
if ((0x800000000000L & l) != 0L)
{
if (rounds[6] != round)
{
   rounds[6] = round;
   newStates[newStateCnt++] = 6;
}
continue;
}
else continue;
case (6) :
if ((0x1000000000000L & l) != 0L)
{
if (rounds[5] != round)
{
   rounds[5] = round;
   newStates[newStateCnt++] = 5;
}
continue;
}
else continue;
case (5) :
if ((0x2000000000L & l) != 0L)
{
if (rounds[4] != round)
{
   rounds[4] = round;
   newStates[newStateCnt++] = 4;
}
continue;
}
else continue;
case (4) :
if ((0x4000000000000L & l) != 0L)
{
if (rounds[3] != round)
{
   rounds[3] = round;
   newStates[newStateCnt++] = 3;
}
continue;
}
else continue;
case (3) :
if ((0x10000000000000L & l) != 0L)
{
if (rounds[0] != round)
{
   rounds[0] = round;
   newStates[newStateCnt++] = 0;
}
continue;
}
else continue;
case (0) :
if ((0x200000000000000L & l) != 0L)
{
nextStates = nextStates0;
break;
}
else continue;
case (1) :
if ((0xffffffffffffffffL & l) != 0L)
{
nextStates = nextStates0;
break;
}
else continue;
case (10) :
if ((0x7fffffe87fffffeL & l) != 0L)
{
if (curKind > 17)
   curKind = 17;
if (rounds[11] != round)
{
   rounds[11] = round;
   newStates[newStateCnt++] = 11;
}
continue;
}
else continue;
case (11) :
if ((0x7fffffe87fffffeL & l) != 0L)
{
if (curKind > 17)
   curKind = 17;
if (rounds[11] != round)
{
   rounds[11] = round;
   newStates[newStateCnt++] = 11;
}
continue;
}
else continue;
case (23) :
if ((0x2000000020L & l) != 0L)
{
nextStates = nextStates3;
break;
}
else continue;
case (16) :
if ((0x2000000020L & l) != 0L)
{
nextStates = nextStates1;
break;
}
else continue;
case (27) :
if ((0x2000000020L & l) != 0L)
{
nextStates = nextStates6;
break;
}
else continue;
default : continue;
}
j = nextStates.length;
do
{
   if (rounds[k = nextStates[--j]] != round)
   {
      rounds[k] = round;
      newStates[newStateCnt++] = k;
   }
} while (j != 0);
} while(i != 0);
}
else
{
do
{
switch(oldStates[--i])
{
case (32) :
if (CharInRangeList(rangeMoves0))
{
nextStates = nextStates9;
break;
}
else continue;
case (36) :
if (CharInRangeList(rangeMoves0))
{
nextStates = nextStates12;
break;
}
else continue;
case (38) :
if (CharInRangeList(rangeMoves0))
{
nextStates = nextStates10;
break;
}
else continue;
case (39) :
if (CharInRangeList(rangeMoves0))
{
nextStates = nextStates10;
break;
}
else continue;
case (1) :
if (CharInRangeList(rangeMoves0))
{
nextStates = nextStates0;
break;
}
else continue;
default : continue;
}
j = nextStates.length;
do
{
   if (rounds[k = nextStates[--j]] != round)
   {
      rounds[k] = round;
      newStates[newStateCnt++] = k;
   }
} while (j != 0);
} while(i != 0);
}
return;
}
}
static private final int[] allInitStates = 
{ 9, 10, 12, 14, 19, 30, };
static final int[] initState_45 = 
{ 10, };
static final int[] initState_46 = 
{ 14, };
static final int[] initState_47 = 
{ 30, };
static final int[] initState_48 = 
{ 19, };
static final int[] initState_49 = 
{ 12, 19, };
static final int[] initState_112 = 
{ 9, 10, };
static final int[][] initStates = {
allInitStates, null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, null, 
null, null, null, null, initState_45, 
initState_46, initState_47, initState_48, initState_49, initState_49, 
initState_49, initState_49, initState_49, initState_49, initState_49, 
initState_49, initState_49, null, null, null, 
null, null, null, null, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
null, null, null, null, initState_45, 
null, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_112, initState_45, initState_45, initState_45, 
initState_45, initState_45, initState_45, initState_45, initState_45, 
initState_45, initState_45, null, null, null, 
null, null, };

static final int[] startStates_0 = { 11, };
static final int[] startStates_1 = { 8, 11, };
static final int[] startStates_2 = { 7, 11, };
static final int[] startStates_3 = { 6, 11, };
static final int[] startStates_4 = { 5, 11, };
static final int[] startStates_5 = { 4, 11, };
static final int[] startStates_6 = { 3, 11, };
static final int[] startStates_7 = { 0, 11, };
static final int[] startStates_8 = { 1, 2, 11, };
void StartNfa(int pos, long active0)
{
switch (pos)
{
case (0) : 
   curPos = 1;
   break; 
case (1) :
   curPos = 2;
if ((active0 & 0xf300L) != 0L)
{
   matchedToken.kind = 17;
startStateSet = startStates_0;
break;
}
else if ((active0 & 0xc00L) != 0L)
{
   matchedToken.kind = 17;
startStateSet = startStates_1;
break;
}
return;
case (2) :
   curPos = 3;
if ((active0 & 0xc00L) != 0L)
{
if (matchedPos != 1)
{
   matchedToken.kind = 17;
   matchedPos = 1;
}
startStateSet = startStates_2;
break;
}
else if ((active0 & 0xf300L) != 0L)
{
if (matchedPos != 1)
{
   matchedToken.kind = 17;
   matchedPos = 1;
}
startStateSet = startStates_0;
break;
}
return;
case (3) :
   curPos = 4;
if ((active0 & 0xc00L) != 0L)
{
if (matchedPos != 2)
{
   matchedToken.kind = 17;
   matchedPos = 2;
}
startStateSet = startStates_3;
break;
}
else if ((active0 & 0xf300L) != 0L)
{
if (matchedPos != 2)
{
   matchedToken.kind = 17;
   matchedPos = 2;
}
startStateSet = startStates_0;
break;
}
return;
case (4) :
   curPos = 5;
if ((active0 & 0x1000L) != 0L)
{
startStateSet = startStates_0;
break;
}
else if ((active0 & 0x800L) != 0L)
{
if (matchedPos != 3)
{
   matchedToken.kind = 17;
   matchedPos = 3;
}
startStateSet = startStates_4;
break;
}
else if ((active0 & 0xe700L) != 0L)
{
if (matchedPos != 3)
{
   matchedToken.kind = 17;
   matchedPos = 3;
}
startStateSet = startStates_0;
break;
}
return;
case (5) :
   curPos = 6;
if ((active0 & 0x8000L) != 0L)
{
startStateSet = startStates_0;
break;
}
else if ((active0 & 0x800L) != 0L)
{
if (matchedPos != 4)
{
   matchedToken.kind = 17;
   matchedPos = 4;
}
startStateSet = startStates_5;
break;
}
else if ((active0 & 0x6700L) != 0L)
{
if (matchedPos != 4)
{
   matchedToken.kind = 17;
   matchedPos = 4;
}
startStateSet = startStates_0;
break;
}
return;
case (6) :
   curPos = 7;
if ((active0 & 0x800L) != 0L)
{
if (matchedPos != 5)
{
   matchedToken.kind = 17;
   matchedPos = 5;
}
startStateSet = startStates_6;
break;
}
else if ((active0 & 0x6700L) != 0L)
{
if (matchedPos != 5)
{
   matchedToken.kind = 17;
   matchedPos = 5;
}
startStateSet = startStates_0;
break;
}
return;
case (7) :
   curPos = 8;
if ((active0 & 0x800L) != 0L)
{
if (matchedPos != 6)
{
   matchedToken.kind = 17;
   matchedPos = 6;
}
startStateSet = startStates_7;
break;
}
else if ((active0 & 0x4100L) != 0L)
{
startStateSet = startStates_0;
break;
}
else if ((active0 & 0x2600L) != 0L)
{
if (matchedPos != 6)
{
   matchedToken.kind = 17;
   matchedPos = 6;
}
startStateSet = startStates_0;
break;
}
return;
case (8) :
   curPos = 9;
if ((active0 & 0x800L) != 0L)
{
startStateSet = startStates_8;
break;
}
else if ((active0 & 0x2200L) != 0L)
{
startStateSet = startStates_0;
break;
}
else if ((active0 & 0x400L) != 0L)
{
if (matchedPos != 7)
{
   matchedToken.kind = 17;
   matchedPos = 7;
}
startStateSet = startStates_0;
break;
}
return;
case (9) :
   curPos = 10;
if ((active0 & 0x400L) != 0L)
{
if (matchedPos != 8)
{
   matchedToken.kind = 17;
   matchedPos = 8;
}
startStateSet = startStates_0;
break;
}
return;
case (10) :
   curPos = 11;
if ((active0 & 0x400L) != 0L)
{
if (matchedPos != 9)
{
   matchedToken.kind = 17;
   matchedPos = 9;
}
startStateSet = startStates_0;
break;
}
return;
default : 
   curPos = pos + 1;
   return;
}
   newStateCnt = startStateSet.length;
   MoveNfa(startStateSet, stateSet2);
   if (curKind != 2147483647)
   {
      if (matchedPos != pos)
      {
         matchedToken.kind = curKind;
         matchedPos = pos;
      }
      else if (curKind < matchedToken.kind)
         matchedToken.kind = curKind;
      curKind = 2147483647;
   }
return;
}
long oldActive0 = 0L, newActive0 = 0L;
private final void MoveStringLiteralDfa() throws java.io.IOException
{
MainLoop:
for (;;)
{
switch(curChar)
{
case (100) : 
{
   matchedToken.kind = 2147483647;
   oldActive0 = 0x6000L;
   break;
}
case (93) : 
{
   matchedToken.kind = 25;
   curPos = 1;
   return;
}
case (91) : 
{
   matchedToken.kind = 24;
   curPos = 1;
   return;
}
case (59) : 
{
   matchedToken.kind = 26;
   curPos = 1;
   return;
}
case (44) : 
{
   matchedToken.kind = 7;
   curPos = 1;
   return;
}
case (41) : 
{
   matchedToken.kind = 28;
   curPos = 1;
   return;
}
case (40) : 
{
   matchedToken.kind = 27;
   curPos = 1;
   return;
}
case (32) : 
{
   matchedToken.kind = 1;
   curPos = 1;
   return;
}
case (125) : 
{
   matchedToken.kind = 23;
   curPos = 1;
   return;
}
case (124) : 
{
   matchedToken.kind = 29;
   curPos = 1;
   return;
}
case (123) : 
{
   matchedToken.kind = 22;
   curPos = 1;
   return;
}
case (118) : 
{
   matchedToken.kind = 2147483647;
   oldActive0 = 0x200L;
   break;
}
case (116) : 
{
   matchedToken.kind = 2147483647;
   oldActive0 = 0x9000L;
   break;
}
case (13) : 
{
   matchedToken.kind = 4;
   curPos = 1;
   return;
}
case (112) : 
{
   matchedToken.kind = 2147483647;
   oldActive0 = 0xc00L;
   break;
}
case (10) : 
{
   matchedToken.kind = 3;
   curPos = 1;
   return;
}
case (110) : 
{
   matchedToken.kind = 2147483647;
   oldActive0 = 0x100L;
   break;
}
case (9) : 
{
   matchedToken.kind = 2;
   curPos = 1;
   return;
}
default : 
{
   matchedToken.kind = 2147483647;
   if (curChar < 128)
   {
      if ((startStateSet = initStates[curChar]) == null)
      {
         curPos = 1;
         return;
      }
   }
   else if (curChar < 256)
   {
      if (startsNfa[curChar])
         startStateSet = allInitStates;
      else
      {
         curPos = 1;
         return;
      }
   }
   else 
      startStateSet = allInitStates;
   StartNfa(0, 0L);
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (97) : 
{
   if (((newActive0 = oldActive0 & 0x8200L)) == 0L)
   {
      StartNfa(1, oldActive0); 
      return;
   }
   break;
}
case (121) : 
{
   if (((newActive0 = oldActive0 & 0x1000L)) == 0L)
   {
      StartNfa(1, oldActive0); 
      return;
   }
   break;
}
case (114) : 
{
   if (((newActive0 = oldActive0 & 0xc00L)) == 0L)
   {
      StartNfa(1, oldActive0); 
      return;
   }
   break;
}
case (105) : 
{
   if (((newActive0 = oldActive0 & 0x2000L)) == 0L)
   {
      StartNfa(1, oldActive0); 
      return;
   }
   break;
}
case (101) : 
{
   if (((newActive0 = oldActive0 & 0x4100L)) == 0L)
   {
      StartNfa(1, oldActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(1, oldActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (98) : 
{
   if (((oldActive0 = newActive0 & 0x8000L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (116) : 
{
   if (((oldActive0 = newActive0 & 0x100L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (115) : 
{
   if (((oldActive0 = newActive0 & 0x2000L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (114) : 
{
   if (((oldActive0 = newActive0 & 0x200L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (112) : 
{
   if (((oldActive0 = newActive0 & 0x1000L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (111) : 
{
   if (((oldActive0 = newActive0 & 0xc00L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
case (102) : 
{
   if (((oldActive0 = newActive0 & 0x4000L)) == 0L)
   {
      StartNfa(2, newActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(2, newActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (99) : 
{
   if (((newActive0 = oldActive0 & 0x2000L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (98) : 
{
   if (((newActive0 = oldActive0 & 0x400L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (97) : 
{
   if (((newActive0 = oldActive0 & 0x4000L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (119) : 
{
   if (((newActive0 = oldActive0 & 0x100L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (112) : 
{
   if (((newActive0 = oldActive0 & 0x800L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (108) : 
{
   if (((newActive0 = oldActive0 & 0x8000L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (105) : 
{
   if (((newActive0 = oldActive0 & 0x200L)) == 0L)
   {
      StartNfa(3, oldActive0); 
      return;
   }
   break;
}
case (101) : 
{
   if ((oldActive0 & 0x1000L) != 0L)
   {
   matchedToken.kind = 12;
   matchedPos = 3;
   curPos = 4;
   startStateSet = startStates_0;
   break MainLoop;
   }
   StartNfa(3, oldActive0); 
   return;
}
default : 
{
   StartNfa(3, oldActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (97) : 
{
   if (((oldActive0 = newActive0 & 0x600L)) == 0L)
   {
      StartNfa(4, newActive0); 
      return;
   }
   break;
}
case (117) : 
{
   if (((oldActive0 = newActive0 & 0x4000L)) == 0L)
   {
      StartNfa(4, newActive0); 
      return;
   }
   break;
}
case (114) : 
{
   if (((oldActive0 = newActive0 & 0x2000L)) == 0L)
   {
      StartNfa(4, newActive0); 
      return;
   }
   break;
}
case (111) : 
{
   if (((oldActive0 = newActive0 & 0x100L)) == 0L)
   {
      StartNfa(4, newActive0); 
      return;
   }
   break;
}
case (101) : 
{
   if ((newActive0 & 0x8000L) != 0L)
   {
   matchedToken.kind = 15;
   matchedPos = 4;
   curPos = 5;
   startStateSet = startStates_0;
   break MainLoop;
   }
   if (((oldActive0 = newActive0 & 0x800L)) == 0L)
   {
      StartNfa(4, newActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(4, newActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (98) : 
{
   if (((newActive0 = oldActive0 & 0x600L)) == 0L)
   {
      StartNfa(5, oldActive0); 
      return;
   }
   break;
}
case (114) : 
{
   if (((newActive0 = oldActive0 & 0x900L)) == 0L)
   {
      StartNfa(5, oldActive0); 
      return;
   }
   break;
}
case (108) : 
{
   if (((newActive0 = oldActive0 & 0x4000L)) == 0L)
   {
      StartNfa(5, oldActive0); 
      return;
   }
   break;
}
case (101) : 
{
   if (((newActive0 = oldActive0 & 0x2000L)) == 0L)
   {
      StartNfa(5, oldActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(5, oldActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (116) : 
{
   if ((newActive0 & 0x4000L) != 0L)
   {
   matchedToken.kind = 14;
   matchedPos = 6;
   curPos = 7;
   startStateSet = startStates_0;
   break MainLoop;
   }
   if (((oldActive0 = newActive0 & 0x2800L)) == 0L)
   {
      StartNfa(6, newActive0); 
      return;
   }
   break;
}
case (108) : 
{
   if (((oldActive0 = newActive0 & 0x200L)) == 0L)
   {
      StartNfa(6, newActive0); 
      return;
   }
   break;
}
case (107) : 
{
   if ((newActive0 & 0x100L) != 0L)
   {
   matchedToken.kind = 8;
   matchedPos = 6;
   curPos = 7;
   startStateSet = startStates_0;
   break MainLoop;
   }
   StartNfa(6, newActive0); 
   return;
}
case (105) : 
{
   if (((oldActive0 = newActive0 & 0x400L)) == 0L)
   {
      StartNfa(6, newActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(6, newActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (121) : 
{
   if ((oldActive0 & 0x800L) != 0L)
   {
   matchedToken.kind = 11;
   matchedPos = 7;
   curPos = 8;
   startStateSet = startStates_8;
   break MainLoop;
   }
   StartNfa(7, oldActive0); 
   return;
}
case (108) : 
{
   if (((newActive0 = oldActive0 & 0x400L)) == 0L)
   {
      StartNfa(7, oldActive0); 
      return;
   }
   break;
}
case (101) : 
{
   if ((oldActive0 & 0x200L) != 0L)
   {
   matchedToken.kind = 9;
   matchedPos = 7;
   curPos = 8;
   startStateSet = startStates_0;
   break MainLoop;
   }
   else if ((oldActive0 & 0x2000L) != 0L)
   {
   matchedToken.kind = 13;
   matchedPos = 7;
   curPos = 8;
   startStateSet = startStates_0;
   break MainLoop;
   }
   StartNfa(7, oldActive0); 
   return;
}
default : 
{
   StartNfa(7, oldActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (105) : 
{
   if (((oldActive0 = newActive0 & 0x400L)) == 0L)
   {
      StartNfa(8, newActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(8, newActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (116) : 
{
   if (((newActive0 = oldActive0 & 0x400L)) == 0L)
   {
      StartNfa(9, oldActive0); 
      return;
   }
   break;
}
default : 
{
   StartNfa(9, oldActive0); 
   return;
}
}
switch(curChar = input_stream.readChar())
{
case (121) : 
{
   if ((newActive0 & 0x400L) != 0L)
   {
   matchedToken.kind = 10;
   matchedPos = 10;
   curPos = 11;
   startStateSet = startStates_0;
   break MainLoop;
   }
   StartNfa(10, newActive0); 
   return;
}
default : 
{
   StartNfa(10, newActive0); 
   return;
}
}
}
   curChar = input_stream.readChar();
   newStateCnt = startStateSet.length;
   MoveNfa(startStateSet, stateSet2);
   if (curKind != 2147483647)
   {
      matchedToken.kind = curKind;
      matchedPos = curPos++;
      curKind = 2147483647;
   }
   else
      curPos++;
}
static final long[] toIgnoreInBNF = 
{
0x3fd3ff00L,
};
static final long[] strKinds = 
{
0x3fc0ff9eL,
};
static final boolean[] startsNfa = 
{
true, false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, true, true, true, true, true, true, 
true, true, true, true, true, true, true, false, false, false, 
false, false, false, false, true, true, true, true, true, true, 
true, true, true, true, true, true, true, true, true, true, 
true, true, true, true, true, true, true, true, true, true, 
false, false, false, false, true, false, true, true, true, true, 
true, true, true, true, true, true, true, true, true, true, 
true, true, true, true, true, true, true, true, true, true, 
true, true, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, false, false, false, false, false, 
false, false, false, false, false, };
private ASCII_CharStream input_stream;
private int[] rounds = new int[41];
private int[] stateSet1 = new int[41];
private int[] stateSet2 = new int[41];
private int[] nextStates;
int curPos;
protected char curChar;
int curKind = 2147483647;
BIFv01TokenManager me;
public BIFv01TokenManager(ASCII_CharStream stream)
{
input_stream = stream;
me = this;
}
public void ReInit(ASCII_CharStream stream)
{
int i;
curKind = 2147483647;
curPos = matchedPos = newStateCnt = round = 0;
startStateSet = null;
curChar = (char)0;
input_stream = stream;
for (i = 41; i-- > 0;)
   rounds[i] = 0;
}



int newStateCnt;
int round;
int[] tmpStates = stateSet1;
int matchedPos;
Token matchedToken;
private int[] startStateSet;

public final Token getNextToken() throws ParseError
{
   matchedToken = new Token();

   try
   {
    for (;;)
    {
      matchedPos = curPos = 0;
      curChar = input_stream.BeginToken();
      matchedToken.beginLine = input_stream.getLine();
      matchedToken.beginColumn = input_stream.getColumn();

      MoveStringLiteralDfa();
      while (newStateCnt != 0)
      {
         curChar = input_stream.readChar();

         MoveNfa(stateSet1 = stateSet2, stateSet2 = tmpStates);

         tmpStates = stateSet1;

         if (curKind != 2147483647)
         {
            matchedToken.kind = curKind;
            curKind = 2147483647;
            matchedPos = curPos++;
         }
         else
            curPos++;
      };

      if (matchedToken.kind != 2147483647)
      {
         if (matchedPos + 1 < curPos)
            input_stream.backup(curPos - matchedPos - 1);

         if ((toIgnoreInBNF[matchedToken.kind >> 6] &
             (1L << (matchedToken.kind & 077))) != 0)
         {
            if ((strKinds[matchedToken.kind >> 6] & 
                    (1L << (matchedToken.kind & 077))) != 0)
               matchedToken.image = strLiteralImages[matchedToken.kind];
            else matchedToken.image = input_stream.GetImage();

            matchedToken.endLine = input_stream.getLine();
            matchedToken.endColumn = input_stream.getColumn();

            return matchedToken;
         }
         matchedToken.kind = 2147483647;
      }
      else
      {
         me.error_line = input_stream.getLine();
         me.error_column = input_stream.getColumn();
         input_stream.backup(1);
         me.error_after = curPos <= 1 ? "" : add_escapes(input_stream.GetImage());
         me.LexicalError();

          throw new ParseError();
      }
    }
   }
   catch (java.io.IOException e)
   {
      if (matchedToken.kind != 2147483647 && matchedToken.kind != 0)
      {
         if (matchedPos + 1 < curPos)
            input_stream.backup(curPos - matchedPos - 1);

         matchedToken.endLine = input_stream.getLine();
         matchedToken.endColumn = input_stream.getColumn();

         if ((toIgnoreInBNF[matchedToken.kind >> 6] &
             (1L << (matchedToken.kind & 077))) != 0)
         {
            if ((strKinds[matchedToken.kind >> 6] & 
                    (1L << (matchedToken.kind & 077))) != 0)
               matchedToken.image = strLiteralImages[matchedToken.kind];
            else matchedToken.image = input_stream.GetImage();

            return matchedToken;
         }
         else
         {
            matchedToken.kind = 2147483647;
            return getNextToken();
         }
      }
      else if (curPos != 0) // Something has been scanned
      {
         me.error_line = input_stream.getLine();
         me.error_column = input_stream.getColumn();
         input_stream.backup(1);
         me.error_after = curPos <= 1 ? "" : add_escapes(input_stream.GetImage());
         me.LexicalError();

         throw new ParseError();
      }
      else
      {
         matchedToken.kind = 0;
         matchedToken.image = "";
         input_stream.Done();
         return matchedToken;
      }
   }
}

protected int error_line, error_column;
protected String error_after;
protected void LexicalError()
{
   System.err.println("Lexical error at line " +
        error_line + ", column " +
        error_column + ".  Encountered: \"" +
        add_escapes(String.valueOf(curChar)) + "\"");
}
}
